import request from "@/utils/request";

//单位下拉框
export async function unitSelect(params) {
  return request(`/srwms/ngic-base-business/sysDic/querySelectListByParentKey`, {
    method: "POST",
    data: params,
  });
}
//序列号规则
export async function serialNumberRuleSelect(params) {
  return request(
    `/srwms/ngic-base-business/bmMainNumberRule/querySunSelectByNoTypeCode`,
    {
      method: "POST",
      data: params,
    }
  );
}
//工艺路线
export async function processLineSelect(params) {
  return request(`/srwms/ngic-workmanship/pmProcessLine/selectionBox`, {
    method: "POST",
    data: params,
  });
}
//工艺路线下的工序 下拉
export async function processByProcessLine(params) {
  return request(
    `/srwms/ngic-workmanship/workingProcedure/query/selectbox/processLine`,
    {
      method: "POST",
      data: params,
    }
  );
}
//车间下的工序 下拉
export async function workingProcedureByShop(params) {
  return request(
    `/srwms/ngic-workmanship/workingProcedure/query/selectbox/shop`,
    {
      method: "POST",
      data: params,
    }
  );
}
//物料工艺路线所属车间的工序 下拉
export async function processByShop(params) {
  return request(`/srwms/ngic-workmanship/workingProcedure/query/selectbox`, {
    method: "POST",
    data: params,
  });
}

//产出物料编号-名称-单位 下拉
export async function selectboxMaterie(params) {
  return request(`/srwms/ngic-workmanship/pmMaterie/query/selectboxMaterie`, {
    method: "POST",
    data: params,
  });
}
//标签模板下拉
export async function bmTableSelect(params) {
  return request(`/srwms/ngic-base-business/bmTable/querySelectByType`, {
    method: "POST",
    data: params,
  });
}
